View Issue Details

IDProjectCategoryView StatusLast Update
0030601FPCDocumentationpublic2019-05-11 15:27
ReporterCyraxAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.3.1 
Summary0030601: In the "Programmer’s Guide" documentation at "$I or $INCLUDE : Include compiler info" section is missing a directive.
Descriptionhttp://www.freepascal.org/docs-html/current/prog/progsu41.html#x48-470001.2.41

The missing directive is CURRENTROUTINE.

See (FPC trunk r34525) compiler\scanner.pas line 2451.
TagsNo tags attached.
Fixed in Revision1547
FPCOldBugId
FPCTarget
Attached Files

Relationships

has duplicate 0031085 closedMichael Van Canneyt Undocumented Include compiler info 

Activities

Marco van de Voort

2016-09-14 21:54

manager   ~0094655

(the current manual is for the current release series 3.0.x that doesn't have that it seems)

Michael Van Canneyt

2016-10-09 15:20

administrator   ~0095055

as noted by Marco, CURRENTROUTINE is not available in 3.0.x, so it is not documented.

Michael Van Canneyt

2019-01-26 10:25

administrator   ~0113635

Documented, along with several other new ones. Thanks for reporting.

Issue History

Date Modified Username Field Change
2016-09-14 18:20 Cyrax New Issue
2016-09-14 18:20 Cyrax Status new => assigned
2016-09-14 18:20 Cyrax Assigned To => Michael Van Canneyt
2016-09-14 21:54 Marco van de Voort Note Added: 0094655
2016-10-09 15:20 Michael Van Canneyt Note Added: 0095055
2016-12-08 07:59 Michael Van Canneyt Relationship added has duplicate 0031085
2019-01-26 10:25 Michael Van Canneyt Fixed in Revision => 1547
2019-01-26 10:25 Michael Van Canneyt Note Added: 0113635
2019-01-26 10:25 Michael Van Canneyt Status assigned => resolved
2019-01-26 10:25 Michael Van Canneyt Fixed in Version => 3.3.1
2019-01-26 10:25 Michael Van Canneyt Resolution open => fixed
2019-01-26 10:25 Michael Van Canneyt Target Version => 3.2.0
2019-05-11 15:27 Cyrax Status resolved => closed